Subject: I-D ACTION:draft-ietf-idr-route-damp-04.txt,.ps

From: [email-masked]
Date: Tue, 13 Oct 1998 10:26:33 -0400

Note: This revision reflects comments received during the last call period.

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Inter-Domain Routing Working Group of the IETF.

	Title		: BGP Route Flap Damping
	Author(s)	: C. Villamizar, R. Chandra, R. Govindan
	Filename	: draft-ietf-idr-route-damp-04.txt,.ps
	Pages		: 36
	Date		: 12-Oct-98
	
  A usage of the BGP routing protocol is described which is capable
  of reducing the routing traffic passed on to routing peers and
  therefore the load on these peers without adversely affecting route
  convergence time for relatively stable routes.  This technique has
  been implemented in commercial products supporting BGP. The technique
  is also applicable to IDRP.
 
  The overall goals are:

  o  to provide a mechanism capable of reducing router processing load
     caused by instability
 
  o  in doing so prevent sustained routing oscillations
 
  o  to do so without sacrificing route convergence time for generally
     well behaved routes.
 
  This must be accomplished keeping other goals of BGP in mind:
 
  o  pack changes into a small number of updates
 
  o  preserve consistent routing
 
  o  minimal addition space and computational overhead
 
  An excessive rate of update to the advertised reachability of a subset
  of Internet prefixes has been widespread in the Internet.  This
  observation was made in the early 1990s by many people involved in
  Internet operations and remains the case.  These excessive updates are
  not necessarily periodic so route oscillation would be a misleading
  term.  The informal term used to describe this effect is ``route
  flap''.  The techniques described here are now widely deployed and
  are commonly referred to as ``route flap damping''.

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-idr-route-damp-04.txt".
A URL for the Internet-Draft is:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-idr-route-damp-04.txt

Internet-Drafts directories are located at:

	Africa:	ftp.is.co.za
	
	Europe: ftp.nordu.net
		ftp.nis.garr.it
			
	Pacific Rim: munnari.oz.au
	
	US East Coast: ftp.ietf.org
	
	US West Coast: ftp.isi.edu

Internet-Drafts are also available by mail.

Send a message to:	[email-masked].  In the body type:
	"FILE /internet-drafts/draft-ietf-idr-route-damp-04.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.